﻿.treemap-container {
    height:50vh;
    width:100%;
}

.treemap {
    font-size: 10px;
    width: 100%;
    height: 100%;
    margin: 10px 0;
}

.treemap-container .treemap {
    margin:0;
}

.treemap .svg-container {
    display: inline-block;
    position: relative;
    width:100%;
    height:100%;
    padding-bottom: 100%; /* aspect ratio */
    vertical-align: top;
    overflow: hidden;
}
.treemap .svg-content-responsive {
    display: inline-block;
    position: absolute;
    top: 10px;
    left: 0;
}

.treemap text {
    pointer-events: none;
}

.treemap .grandparent text { /* header text */
    /*font-weight: bold;*/
    font-size: 1em;
    text-transform:uppercase;
    fill: #fff;
    /*font-family: "Open Sans", Helvetica, Arial, sans-serif;*/
}

.treemap rect {
    stroke: #ddd;
}

    .treemap .grandparent rect {
        stroke-width: 0px;
    }
    
    .treemap rect.parent {
        stroke-width: 1px;
    }

.treemap .grandparent rect {
    fill: #666;
}
.treemap .children rect.child {
  opacity: 0;
}

.treemap .children:hover rect.child {
  opacity: 1;
  stroke-width: 1px;
}
.treemap .children:hover rect.parent {
  opacity: 0;
}

.treemap .children rect.parent,
.treemap .grandparent rect {
    cursor: pointer;
}

.treemap rect.parent {
    pointer-events: all;
}

.treemap rect.child {
    box-sizing: border-box;
    overflow: hidden;
}

.treemap .grandparent:hover rect {
    fill: #180c51;
}
/****************************************/
/*.treemap .children:hover rect {
    fill: #bbb;
    fill-opacity: .5;
}*/

/*.treemap .children:hover rect.child {
    fill: #bbb;
}*/
/****************************************/
.treemap .textdiv { /* text in the boxes */
    font-size: 10px;
    color: #fff;
    padding: 5px;
    text-shadow:#333 1px 1px;
}

.treemap .foreignobj h5 {
    font-size:1rem;
    font-weight:400;
    margin:0;
}
.treemap .foreignobj tspan {
    font-size:2rem;
    font-weight:400;
}
